curl --request GET \
--url https://api.sandbox.tesouro.com/finops/v1/counterparts/{counterpart_id}/bank-accounts \
--header 'Authorization: Bearer <token>' \
--header 'x-finops-version: <x-finops-version>' \
--header 'x-organization-id: <x-organization-id>'{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"counterpart_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"country": "AF",
"currency": "AED",
"account_holder_name": "Bob Jones",
"account_number": "12345678",
"bic": "CHASUS33XXX",
"iban": "GB29NWBK60161331926819",
"is_default_for_currency": false,
"name": "<string>",
"partner_metadata": {},
"routing_number": "<string>",
"sort_code": "123456"
}
]
}curl --request GET \
--url https://api.sandbox.tesouro.com/finops/v1/counterparts/{counterpart_id}/bank-accounts \
--header 'Authorization: Bearer <token>' \
--header 'x-finops-version: <x-finops-version>' \
--header 'x-organization-id: <x-organization-id>'{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"counterpart_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"country": "AF",
"currency": "AED",
"account_holder_name": "Bob Jones",
"account_number": "12345678",
"bic": "CHASUS33XXX",
"iban": "GB29NWBK60161331926819",
"is_default_for_currency": false,
"name": "<string>",
"partner_metadata": {},
"routing_number": "<string>",
"sort_code": "123456"
}
]
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The ID of the entity that owns the requested resource.
"9d2b4c8f-2087-4738-ba91-7359683c49a4"
Successful Response
Show child attributes
Was this page helpful?